[arch-commits] Commit in deluge/repos (3 files)

Hugo Doria hugo at archlinux.org
Sat Apr 11 08:20:51 EDT 2009


    Date: Saturday, April 11, 2009 @ 08:20:50
  Author: hugo
Revision: 34681

Merged revisions 34680 via svnmerge from 
svn+ssh://archlinux.org/srv/svn-packages/deluge/trunk

........
  r34680 | hugo | 2009-04-11 09:20:28 -0300 (Sat, 11 Apr 2009) | 2 lines
  
  upgpkg: deluge 1.1.6-3
      path changed to /srv/deluge
........

Modified:
  deluge/repos/extra-i686/	(properties)
  deluge/repos/extra-i686/PKGBUILD
  deluge/repos/extra-i686/deluge.install

----------------+
 PKGBUILD       |    4 ++--
 deluge.install |    9 ++++-----
 2 files changed, 6 insertions(+), 7 deletions(-)


Property changes on: deluge/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /deluge/trunk:1-34662
   + /deluge/trunk:1-34680

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-11 12:20:28 UTC (rev 34680)
+++ extra-i686/PKGBUILD	2009-04-11 12:20:50 UTC (rev 34681)
@@ -3,7 +3,7 @@
 
 pkgname=deluge
 pkgver=1.1.6
-pkgrel=2
+pkgrel=3
 pkgdesc="A bittorrent client written with python and pygtk"
 arch=('i686' 'x86_64')
 url="http://deluge-torrent.org/"
@@ -21,7 +21,7 @@
   python setup.py build || return 1
   python setup.py install --prefix=/usr --root=${pkgdir} || return 1
 
-  install -d -m755 ${pkgdir}/home/deluge || return 1
+  install -d -m755 ${pkgdir}/srv/deluge || return 1
   install -D -m644 deluge/data/pixmaps/deluge.svg ${pkgdir}/usr/share/pixmaps/deluge.svg || return 1
   install -D -m755 ${srcdir}/deluged ${pkgdir}/etc/rc.d/deluged || return 1
 

Modified: extra-i686/deluge.install
===================================================================
--- extra-i686/deluge.install	2009-04-11 12:20:28 UTC (rev 34680)
+++ extra-i686/deluge.install	2009-04-11 12:20:50 UTC (rev 34681)
@@ -1,13 +1,13 @@
 post_install() {
   getent group deluge >/dev/null || usr/sbin/groupadd -g 125 deluge
-  getent passwd deluge >/dev/null || usr/sbin/useradd -c 'Deluge user' -u 125 -g deluge -d /home/deluge -s /bin/false deluge 
+  getent passwd deluge >/dev/null || usr/sbin/useradd -c 'Deluge user' -u 125 -g deluge -d /srv/deluge -s /bin/false deluge 
   usr/bin/passwd -l deluge &>/dev/null
 
-  chown deluge.deluge home/deluge -R
+  chown deluge.deluge srv/deluge -R
 
 cat << _EOF
 
->>> Deluge's daemon is running with the "deluge" user. The default download directory is /home/deluge/
+>>> Deluge's daemon is running with the "deluge" user. The default download directory is /srv/deluge/
 
 _EOF
 }
@@ -17,7 +17,6 @@
 }
 
 pre_remove() {
-  usr/sbin/userdel deluge &>/dev/null
-  usr/sbin/groupdel deluge &>/dev/null
+  usr/sbin/userdel deluge &> /dev/null
 }
 



More information about the arch-commits mailing list